Neonode zForce(TM) SDK

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
PlatformDevice Struct Reference

Struct representing a PlatformDevice. More...

`#include <PlatformDevice.h>`

## Public Attributes
| Device
| Base device.
bool(* | GetFingerFrequency )(PlatformDevice *self)
| Get the current finger frequency. More...
bool(* | SetFingerFrequency )(PlatformDevice *self, uint32_t frequency)
| Set the finger frequency. More...
bool(* | GetIdleFrequency )(PlatformDevice *self)
| Get the current idle frequency. More...
bool(* | SetIdleFrequency )(PlatformDevice *self, uint32_t frequency)
| Set the idle frequency. More...
bool(* | GetMcuUniqueIdentifier )(PlatformDevice *self)
| Get the Mcu Identifier from the platform. More...

## Detailed Description

Struct representing a PlatformDevice.

PlatformDevice contains system-level requests, like getting the MCU Unique Identifier, etc.

## Member Data Documentation

bool( * PlatformDevice::GetFingerFrequency) (PlatformDevice *self)

Get the current finger frequency.

Get the current finger frequency.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this protocol and/or Device.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

bool( * PlatformDevice::GetIdleFrequency) (PlatformDevice *self)

Get the current idle frequency.

Get the current finger frequency.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this protocol and/or Device.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

bool( * PlatformDevice::GetMcuUniqueIdentifier) (PlatformDevice *self)

Get the Mcu Identifier from the platform.

Get the Mcu Identifier from the platform.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this protocol and/or Device.

Parameters

  self | Pointer to the struct itself.

Returns
  True for success, false for failure. See errno.

bool( * PlatformDevice::SetFingerFrequency) (PlatformDevice *self, uint32_t frequency)

Set the finger frequency.

Set the current finger frequency.
On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this protocol and/or Device.

Parameters

  self | Pointer to the struct itself.
  frequency | The frequency to set.

Returns
  True for success, false for failure. See errno.

bool( * PlatformDevice::SetIdleFrequency) (PlatformDevice *self, uint32_t frequency)

Set the idle frequency.

On failure, errno is set.

- EALREADYINPROGRESS - Another request is currently in progress.
- ENOTSUPPORTED - This request is not supported by this protocol and/or Device.

Parameters

  self | Pointer to the struct itself.
  frequency | The frequency to set.

Returns
  True for success, false for failure. See errno.

The documentation for this struct was generated from the following file:

- PlatformDevice.h